Package org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor

## Class ImageLinkNodePostProcessorState

- java.lang.Object
- - org.apache.wiki.markdown.extensions.jspwikilinks.postprocessor.ImageLinkNodePostProcessorState

All Implemented Interfaces:
  `NodePostProcessorState<JSPWikiLink>`

    public class ImageLinkNodePostProcessorState
    extends java.lang.Object
    implements NodePostProcessorState<JSPWikiLink>

`NodePostProcessorState` which further post processes image links.

### Constructor Summary

Constructors
`ImageLinkNodePostProcessorState​(org.apache.wiki.api.core.Context wikiContext, java.lang.String urlRef, boolean isLinkFromText)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process​(com.vladsch.flexmark.util.ast.NodeTracker state, JSPWikiLink link)` performs further processing before rendering.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageLinkNodePostProcessorState

    public ImageLinkNodePostProcessorState​(org.apache.wiki.api.core.Context wikiContext,
                                           java.lang.String urlRef,
                                           boolean isLinkFromText)

### Method Detail

#### process

    public void process​(com.vladsch.flexmark.util.ast.NodeTracker state,
                        JSPWikiLink link)

performs further processing before rendering.

Specified by:
  `process` in interface `NodePostProcessorState<JSPWikiLink>`
Parameters:
  `state` - to record node addition/deletion
  `link` - the specific node in which the post-processing is taking place.
See Also:
  `NodePostProcessorState.process(NodeTracker, Node)`